## libcddb 1.3.2

=== debian/changelog ===
libcddb (1.3.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * add patch from Fedora Rawhide fixing FTBFS with GCC-14
    (Closes: #1075157)
  * d/control: B-D s#pkg-config (>= 0.20)#pkgconf#g

 -- Florian Ernst <florian@debian.org>  Mon, 23 Dec 2024 16:01:12 +0100

libcddb (1.3.2-7) unstable; urgency=medium

  * debian/control:
    - New maintainer. (Closes: #980305)
    - Add Vcs fields.
    - Update debhelper compatibility level to 13.
    - Remove Build-Depends: dh-autoreconf.
    - Update standards version to 4.5.1, no changes needed.
  * debian/patches:
    - Change the default server from freedb.org to gnudb.gnudb.org as the
      former is no longer available. (Closes: #952689)
    - Disable use of SIGALRM for DNS lookup as this is not thread-safe.
      Patch adapted from upstream VLC. (Closes: #928176)
    - Change encoding of THANKS to UTF-8 to fix lintian warning.
  * debian/compat:
    - Removed, using Build-Depends: debhelper-compat instead.
  * debian/not-installed:
    - Ignore .la files for dh_missing.
    - Ignore cddb_query utility not currently packaged.
  * debian/salsa-ci.yml:
    - Enable CI.
  * debian/libcddb2-dev.examples:
    - Removed useless makefiles from /usr/share/doc as they are generated by
      automake and so only work within the libcddb build tree. They also
      contain the full path to the build directory which makes the package
      unreproducible. The example program is trivial to compile anyway.
  * debian/libcddb2-dev.README.Debian:
    - Add a note on how to compile the example program.
  * debian/tests:
    - Add a simple autopkgtest that uses the cddb_query example program to
      query the default CDDB server.
  * debian/copyright:
    - Convert to machine readable format.

 -- Nick Gasson <nick@nickg.me.uk>  Sun, 13 Jun 2021 22:30:50 +0800

libcddb (1.3.2-6) unstable; urgency=low

  * debian/control:
    - Removed ancient transitional package 'libcddb-dev' from Replaces and
      Conflicts.
    - Bumped Standards-Version to 4.1.3, no changes needed.
  * debian/source/format:
    - Created, with '1.0'.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 01 Apr 2018 11:19:13 +0200

libcddb (1.3.2-5) unstable; urgency=medium

  * debian/rules:
    - Use dh-autoreconf. Patch by Brahadambal Srinivasan. (Closes: #754247)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 24 Jul 2014 21:42:12 +0300

libcddb (1.3.2-4) unstable; urgency=low

  * debian/control:
    - Bumped debhelper build-dependency to (>= 9).
    - Added build-dependency on autotools-dev.
    - Bumped Standards-Version to 3.9.5.
    - Fixed 'allows to' -> 'allows one to' spelling errors, as suggested by
      lintian.
  * debian/rules:
    - Use dh autotools_dev plugin. (Closes: #727398)
    - Override 'dh_auto_configure' instead of 'dh_configure' and pass locally
      modified CFLAGS.
  * debian/*.install:
    - 'debian/tmp/' prefixes are not needed anymore.
    - Rewrote to cope with multiarch paths.
  * debian/libcddb2-dev.links:
    - Removed, replace by a proper line in libcddb2-dev.install.
  * debian/compat:
    - Bumped to 9.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 03 Nov 2013 14:31:09 +0200

libcddb (1.3.2-3) unstable; urgency=low

  * debian/libcddb2-dev.install:
    - Don't install .la-file. (Closes: #621555)
  * debian/control:
    - Bumped Standards-Version to 3.9.2, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 30 Apr 2011 11:52:30 +0300

libcddb (1.3.2-2) unstable; urgency=low

  * debian/control:
    - Added build-dependencies on libcdio-dev and pkg-config.
  * debian/rules:
    - Use dpkg-buildpackage's CFLAGS as base ones.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 23 May 2010 17:32:31 +0300

libcddb (1.3.2-1) experimental; urgency=low

  * New upstream release. (Closes: #488805)
  * debian/watch:
    - Added.
  * debian/control:
    - Set myself as maintainer. Thanks for previous work, Clément Stenac!
      (Closes: #580877)
    - Fixed 'libccdb' typo in long descriptions. (Closes: #385228)
    - Bumped debhelper build-dependency to (>= 7.0.50).
    - Made the dependency on shared library package binNMU-safe.
    - Added the 'Homepage' field.
    - The package now comply with Debian policy 3.8.4, bump Standards-Version
      accordingly.
    - Set the source section ('devel').
    - Added 'misc:Depends' dependency to headers package too.
  * debian/libcddb2.post{inst,rm}:
    - Removed, will be automatically generated by to new debhelper.
  * debian/compat:
    - Created, set to 7.
  * debian/rules:
    - Rewritten using dh v7 style, added -fPIC to compilation flags.
    - Do not run tests, they require Internet connection.
  * debian/copyright:
    - Inserted the LGPLv2 clause, corrected the path to license file on
      Debian systems.
    - Converted to UTF-8.
    - Inserted full copyright notice.
  * debian/libcddb2-dev.install:
    - Don't install any files from /usr/lib/include.
  * debian/libcddb2-dev.links:
    - Created.
  * debian/shlibs.local:
    - Corrected for current version.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 09 May 2010 18:37:53 +0300

libcddb (1.2.1-1) unstable; urgency=low

  * New upstream version
  * This version changes ABI, so change packages names
  * Bump standards version to 3.6.2

 -- Clément Stenac <zorglub@debian.org>  Sun,  3 Jul 2005 10:01:24 +0200

libcddb (0.9.6-2) unstable; urgency=low

  * Fix include directory
  * Fix typo in description

 -- Clément Stenac <zorglub@via.ecp.fr>  Wed,  6 Apr 2005 23:31:29 +0200

libcddb (0.9.6-1) unstable; urgency=low

  * Initial Release (Closes:#200025)

 -- Clément Stenac <zorglub@via.ecp.fr>  Sun, 10 Oct 2004 18:18:09 +0200
