=== debian/control ===
Source: libcddb
Section: devel
Priority: optional
Maintainer: Nick Gasson <nick@nickg.me.uk>
Build-Depends: debhelper (>= 9), libcdio-dev (>= 0.76), pkgconf,
  debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: http://libcddb.sourceforge.net
Vcs-Browser: https://salsa.debian.org/nickg/libcddb
Vcs-Git: https://salsa.debian.org/nickg/libcddb.git

Package: libcddb2-dev
Section: libdevel
Provides: libcddb-dev
Architecture: any
Depends: libcddb2 (= ${binary:Version}), ${misc:Depends}
Description: library to access CDDB data - development files
 libcddb is a C library to access data about Audio CD on a CDDB server
 .
 It allows one to search the database for CD matches, get detailed information
 about a CD and submit new CD entries to the database.
 It supports both the custom CDDB protocol and the tunneling of the query
 over HTTP. HTTP Proxying is supported. It also features a cache system.
 .
 This package contains the development headers required to compile 
 libcddb-enabled programs.
 
Package: libcddb2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to access CDDB data - runtime files
 libcddb is a C library to access data about Audio CD on a CDDB server
 .
 It allows one to search the database for CD matches, get detailed information
 about a CD and submit new CD entries to the database.
 It supports both the custom CDDB protocol and the tunneling of the query
 over HTTP. HTTP Proxying is supported. It also features a cache system.
 .
 This package contains the runtime library required to run libcddb-enabled
 programs.
