=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CFLAGS := $(CFLAGS) -Wall -fPIC

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- "CFLAGS=$(CFLAGS)"

override_dh_auto_test:
