=== debian/watch ===
version=3
http://sf.net/libcddb/libcddb-(\d.*)\.tar\.bz2
